<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                      version modifié par Albert B. de Colissimo a lettre                                             */
/*************************************************************************************/
?>
<?php

	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsTransports.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Message.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Messagedesc.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Variable.class.php");

	class Lettre extends PluginsTransports{


		function Lettre(){
			$this->PluginsTransports("LettreSuivie");
		}
		
		function init(){
			$this->ajout_desc("LettreSuivie", "LettreSuivie", "", 1);
			$test = new Message();
			if(! $test->charger("LettreSuivie")){
				$message = new Message();
				$message->nom = "LettreSuivie";
				$lastid = $message->add();

				$messagedesc = new Messagedesc();
				$messagedesc->message = $lastid;
				$messagedesc->lang = 1;
				$messagedesc->titre = "LettreSuivie";
				$messagedesc->description = "__RAISON__ __NOM__ __PRENOM__,\n\nNous vous remercions de votre commande sur notre site __URLSITE__\n\nUne lettre suivie concernant votre commande __COMMANDE__ du __DATE__ __HEURE__ a quitté nos entrepôts pour être pris en charge par La Poste le __DATEDJ__.\n\nSon numéro de suivi est le suivant : __SUIVI__\nIl vous permet de suivre votre lettre suivie en ligne sur le site de La Poste : http://www.csuivi.courrier.laposte.fr/\nIl vous sera, par ailleurs, très utile si vous étiez absent au moment de la livraison de votre suivi : en fournissant ce numéro de lettre Suivie, vous pourrez retirer votre suivi dans le bureau de Poste le plus proche.\n\nATTENTION ! La poste ne garantie pas la livraison des courriers suivis, seulement leurs transport.\n\nNous restons à votre disposition pour toute information complémentaire.\nCordialement";
				$messagedesc->add();

			}
		}
		
       
        function calcule(){
                if($this->poids<=0.1) return 2;
            else if($this->poids>0.2 && $this->poids<=0.4) return 3.50;
            else if($this->poids>0.4 && $this->poids<=0.5) return 4.50;
            else if($this->poids>0.5) return 6.5;
       
        }
			
		function statut($commande){

			if($commande->statut == "4"){

				if(! $commande->suivi)
					return;

				$message = new Message();
				$message->charger("LettreSuivie");

				$messagedesc = new Messagedesc();
				$messagedesc->charger($message->id);

				$client = new Client();
				$client->charger_id($commande->client);

				if($client->raison == "1")
					$raison = "Madame";
				else
					if($client->raison == "2")
						$raison = "Mademoiselle";
				else
					if($client->raison == "3")
						$raison = "Monsieur";

				$urlsite = new Variable();
				$urlsite->charger("urlsite");

				$emailcontact = new Variable();
				$emailcontact->charger("emailcontact");

          		$jour = substr($commande->date, 8, 2);
		        $mois = substr($commande->date, 5, 2);
		        $annee = substr($commande->date, 0, 4);
                $heure = substr($commande->date, 11, 2);
                $minute = substr($commande->date, 14, 2);
                $seconde = substr($commande->date, 17, 2);

				$messagedesc->description = str_replace("__RAISON__", "$raison", $messagedesc->description);
				$messagedesc->description = str_replace("__NOM__", $client->nom, $messagedesc->description);
				$messagedesc->description = str_replace("__PRENOM__", $client->prenom, $messagedesc->description);
				$messagedesc->description = str_replace("__URLSITE__", $urlsite->valeur, $messagedesc->description);
				$messagedesc->description = str_replace("__COMMANDE__", $commande->ref, $messagedesc->description);
				$messagedesc->description = str_replace("__DATE__", $jour . "/" . $mois . "/" . $annee, $messagedesc->description);
				$messagedesc->description = str_replace("__HEURE__", $heure . ":" . $minute . ":" . $seconde, $messagedesc->description);
				$messagedesc->description = str_replace("__DATEDJ__", date("d") . "/" . date("m") . "/" . date("Y"), $messagedesc->description);
				$messagedesc->description = str_replace("__SUIVI__", $commande->suivi, $messagedesc->description);
				mail($client->email, $messagedesc->titre, $messagedesc->description, "From: " . $emailcontact->valeur);

			}

		}

	}

?>
